/********************************************************************************
 *   dciTaskOpen -- menu open util for dciTask.                                 *
 *                                                                              * 
 *   Copyright (C) 2004-2007 dci (dev@cpp.in)                                   *
 *                                                                              *
 *   This program is free software; you can redistribute it and/or              *
 *   modify it under the terms of the GNU General Public License version 2      *
 *   as published by the Free Software Foundation.                              *
 *                                                                              *
 *   This program is distributed in the hope that it will be useful,            *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of             *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU          *
 *   General Public License version 2 for more details.                         *
 *                                                                              *
 *   You should have received a copy of the GNU General Public License          *
 *   version 2 along with this library; if not, write to the Free Software      *
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA  *
 ********************************************************************************
 */


#include <windows.h>

int WinMain ( HINSTANCE hInst, HINSTANCE hPrevInst, LPWSTR lpCmdLine, int nCmdShow )
{
	HANDLE hExitEvent = CreateEvent ( NULL, FALSE, FALSE, L"dciTaskExitEvent" );
	/* */
	if ( ERROR_ALREADY_EXISTS == GetLastError ( ) )
	{
		HWND hBar = FindWindow ( L"HHTaskBar", NULL );
		if ( hBar )
		{
			RECT rtBar;
			GetClientRect ( hBar, &rtBar );
			SendMessage ( hBar, WM_LBUTTONUP, 0, MAKELPARAM( rtBar.right - 1, rtBar.bottom / 2 ) );
		}
		else
		{
			MessageBox ( NULL, L"  !", L"dciTask", MB_TOPMOST | MB_ICONEXCLAMATION );
		}
	}
}
